Package org.eclipse.cdt.core.settings.model.util

# Class ResourceChangeHandlerBase

java.lang.Object
org.eclipse.cdt.core.settings.model.util.ResourceChangeHandlerBase

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.resources.IResourceChangeListener`

public abstract class ResourceChangeHandlerBase extends Object implements org.eclipse.core.resources.IResourceChangeListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ResourceChangeHandlerBase.IResourceMoveHandler`

## Field Summary

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

## Constructor Summary

Constructors
Constructor
Description
`ResourceChangeHandlerBase()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract ResourceChangeHandlerBase.IResourceMoveHandler`
`createResourceMoveHandler(org.eclipse.core.resources.IResourceChangeEvent event)`
`protected void`
`doHahdleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event, ResourceChangeHandlerBase.IResourceMoveHandler handler)`
`protected void`
`doHandleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event, ResourceChangeHandlerBase.IResourceMoveHandler handler)`
`void`
`resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)`
`protected boolean`
`shouldVisit(org.eclipse.core.resources.IProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceChangeHandlerBase

public ResourceChangeHandlerBase()

## Method Details

### resourceChanged

public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`

### shouldVisit

protected boolean shouldVisit(org.eclipse.core.resources.IProject project)

### doHahdleResourceMove

protected void doHahdleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event, ResourceChangeHandlerBase.IResourceMoveHandler handler)

Restriction:
  This method is not intended to be referenced by clients.
Restriction:
  This method is not intended to be re-implemented or extended by clients.

### doHandleResourceMove

protected void doHandleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event, ResourceChangeHandlerBase.IResourceMoveHandler handler)

Since:
  5.1

### createResourceMoveHandler

protected abstract ResourceChangeHandlerBase.IResourceMoveHandler createResourceMoveHandler(org.eclipse.core.resources.IResourceChangeEvent event)